com.here.msdkui.guidance

## Class GuidanceManeuverUtil

- java.lang.Object
- - com.here.msdkui.guidance.GuidanceManeuverUtil

-     public final class GuidanceManeuverUtil
      extends java.lang.Object

  A convenience class to get `Maneuver` related information for guidance.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `determineNextManeuverStreet(android.content.Context context, com.here.android.mpa.routing.Maneuver maneuver, BaseGuidancePresenter baseGuidancePresenter)` Gets next `Maneuver` street as string representation.
    `static java.lang.String` | `getCurrentManeuverStreet(android.content.Context context, com.here.android.mpa.routing.Maneuver maneuver)` Gets street name of the current `Maneuver`.
    `static int` | `getIndexOfManeuver(com.here.android.mpa.routing.Maneuver maneuver, java.util.List<com.here.android.mpa.routing.Maneuver> maneuvers)` Gets the index of a maneuver with a list of maneuvers.
    `static boolean` | `maneuversEqual(com.here.android.mpa.routing.Maneuver maneuverA, com.here.android.mpa.routing.Maneuver maneuverB)` Checks if two `Maneuver`s are equals.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getIndexOfManeuver

          public static int getIndexOfManeuver(com.here.android.mpa.routing.Maneuver maneuver,
                                               java.util.List<com.here.android.mpa.routing.Maneuver> maneuvers)

      Gets the index of a maneuver with a list of maneuvers. Maneuvers are compared based on location and the action.
      Parameters:
        `maneuver` - the maneuver to find.
        `maneuvers` - the list of maneuvers.
      Returns:
        the index of the given maneuver in the given maneuver list or -1 if the maneuver is not part of the list.

    - #### maneuversEqual

          public static boolean maneuversEqual(com.here.android.mpa.routing.Maneuver maneuverA,
                                               com.here.android.mpa.routing.Maneuver maneuverB)

      Checks if two `Maneuver`s are equals.
      Parameters:
        `maneuverA` - - a maneuver.
        `maneuverB` - - a maneuver.
      Returns:
        true if maneuvers are equal, else false.

    - #### getCurrentManeuverStreet

          public static java.lang.String getCurrentManeuverStreet(@NonNull
                                                                  android.content.Context context,
                                                                  @NonNull
                                                                  com.here.android.mpa.routing.Maneuver maneuver)

      Gets street name of the current `Maneuver`.
      Parameters:
        `context` - - a context.
        `maneuver` - - the maneuver to use.
      Returns:
        a string containing the street of current maneuver.

    - #### determineNextManeuverStreet

          public static java.lang.String determineNextManeuverStreet(android.content.Context context,
                                                                     com.here.android.mpa.routing.Maneuver maneuver,
                                                                     BaseGuidancePresenter baseGuidancePresenter)

      Gets next `Maneuver` street as string representation.
      Parameters:
        `context` - - a context.
        `maneuver` - - the maneuver to use.
        `baseGuidancePresenter` - - the presenter to use.
      Returns:
        a string containing the street of next maneuver or null if maneuver is null.